import CoronadoBridge from './bridge';
import { ILogger } from './types';
import { IOutboundProvider, IProviderReq } from './provider';
import BridgeError from './bridge-error';
import OutboundResponse from './outbound-response';
export interface IBridgeConfig {
    ports?: Array<number>;
    outboundProvider: IOutboundProvider;
    logger?: ILogger;
    requestTimeoutMs?: number;
    corsOptions?: object;
}
export default CoronadoBridge;
export { IOutboundProvider, IProviderReq, BridgeError, OutboundResponse };
